"Browse Host" = "גלוש במארח";
"Browse" = "ברווס";
"Clear Completed" = "גמור ברור";
"Clear" = "ברור";
"Download Selected Files" = "הורדה בחרה קבצים";
"Download" = "דוונלואד";
"Filter Results" = "סנן תוצאות";
"Filter" = "סנן";
"Pause Download" = "הפסקה מורידה";
"Pause" = "הפסק";
"Remove Connection" = "סלק קשר";
"Remove Download" = "סלק הורדה";
"Remove" = "סלק";
"Resume Download" = "קורות חיים מורידות";
"Resume" = "המשך";
"Reveal in Finder" = "גלה בתגלויות";
"Reveal" = "גלה";